cascading.tuple.hadoop.util

## Class CoGroupingComparator

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.util.DeserializerComparator<IndexTuple>
    - - cascading.tuple.hadoop.util.CoGroupingComparator

All Implemented Interfaces:
  java.util.Comparator<IndexTuple>, Configurable, RawComparator<IndexTuple>

    public class CoGroupingComparator
    extends DeserializerComparator<IndexTuple>

Class GroupingComparator is an implementation of `RawComparator`.

### Field Summary

### Fields inherited from class cascading.tuple.hadoop.util.DeserializerComparator

`groupComparators, keyTypes, lhsBuffer, lhsStream, rhsBuffer, rhsStream, tupleSerialization`

### Constructor Summary

Constructors
Constructor and Description
`CoGroupingComparator()`

### Method Summary

Methods
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` `compare(IndexTuple lhs, IndexTuple rhs)`

### Methods inherited from class cascading.tuple.hadoop.util.DeserializerComparator

`canPerformRawComparisons, compareTuples, compareTuples, getFieldComparatorsFrom, getHadoopTupleInputStream, performRawComparison, setConf`

### Methods inherited from class org.apache.hadoop.conf.Configured

`getConf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### CoGroupingComparator

    public CoGroupingComparator()

### Method Detail

#### compare

    public int compare(byte[] b1,
              int s1,
              int l1,
              byte[] b2,
              int s2,
              int l2)

#### compare

    public int compare(IndexTuple lhs,
              IndexTuple rhs)